/***********************************************************************
**
**   polardialog.h
**
**   This file is part of Cumulus.
**
************************************************************************
**
**   Copyright (c):  2002 by Eggert Ehmke
**
**   This file is distributed under the terms of the General Public
**   Licence. See the file COPYING for more information.
**
**   $Id: polardialog.h,v 1.6 2003/03/21 21:33:38 eggert Exp $
**
***********************************************************************/

#ifndef POLARDIALOG_H
#define POLARDIALOG_H

#include <qdialog.h>
#include <qaccel.h>
#include "speed.h"
#include "polar.h"

/**
  *@author Eggert Ehmke
  */

class PolarDialog : public QDialog
{
  Q_OBJECT
public: 
	PolarDialog(const Polar*, QWidget*);
	virtual ~PolarDialog();
  QAccel *acc;
protected:
  virtual void paintEvent (QPaintEvent*);
public slots:
  void slot_keyup();
  void slot_keydown();
  void slot_shiftkeyup();
  void slot_shiftkeydown();
  void slot_keyleft();
  void slot_keyright();
  void slot_keyhome();
private:
  Polar* _polar;
  Speed wind, lift, mc;
};

#endif
